#
# check mpd account
#
if [ -z "$(grep ^mpd /etc/group)" ]; then
    groupadd -g 307 mpd
fi
if [ -z "$(grep ^mpd /etc/passwd)" ]; then
    useradd -u 307 -g 307 -d /var/mpd -s /bin/bash -c "Music Player Daemon" mpd
fi
if [ -z "$(groupmems -g audio -l | grep -w mpd)" ]; then
    groupmems -g audio -a mpd
fi


config() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
	mv $NEW $OLD
    elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
	rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/mpd.conf.new

